clang 10.0.0git

Classes | Namespaces | Functions
AbstractBasicReader.h File Reference
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/AbstractBasicReader.inc"`
Include dependency graph for AbstractBasicReader.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::serialization::DataStreamBasicReader< Impl >
| DataStreamBasicReader provides convenience implementations for many BasicReader methods based on the assumption that the ultimate reader implementation is based on a variable-length stream of unstructured data (like Clang's module files). More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::serialization

## Functions
template<class T >
T | clang::serialization::makeNullableFromOptional (const Optional< T > &value)
template<class T >
T * | clang::serialization::makePointerFromOptional (Optional< T *> value)